Package org.eclipse.jgit.api.errors

## Class PatchFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException
      - - org.eclipse.jgit.api.errors.PatchFormatException

All Implemented Interfaces:
  `Serializable`

    public class PatchFormatException
    extends GitAPIException

Exception thrown when applying a patch fails due to an invalid format

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`PatchFormatException​(List<FormatError> errors)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<FormatError>` `getErrors()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PatchFormatException

    public PatchFormatException​(List<FormatError> errors)

Parameters:
  `errors` -

### Method Detail

#### getErrors

    public List<FormatError> getErrors()

Returns:
  all the errors where unresolved conflicts have been detected